<form method="POST" action="{{ route('photos.store') }}" enctype="multipart/form-data">
    {{ csrf_field() }}
    <input type="hidden" name="queue_token" value="{{ Misc::randomString() }}"/>
    <div class="modal" id="quick-upload-modal">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">@lang('global.quick_upload.title')</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>@lang('global.quick_upload.intro')</p>

                    <div class="form-group">
                        <label class="control-label" for="quick-upload-file">@lang('forms.quick_upload_file_label')</label>
                        <input type="file" id="quick-upload-file" name="photo[]" class="form-control" multiple="multiple">
                    </div>

                    <div class="form-group">
                        <label class="control-label" for="quick-upload-album">@lang('forms.album_label')</label>
                        <select id="quick-upload-album" name="album_id" class="form-control">
                            <option>@lang('forms.please_select')</option>
                            @foreach ($g_albums_upload as $album)
                                <option value="{{ $album->id }}">{{ $album->name }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-link" data-dismiss="modal">@lang('forms.cancel_action')</button>
                    <button type="submit" class="btn btn-success" onclick="this.disabled = true;"><i class="fa fa-upload"></i> @lang('forms.upload_action')</button>
                </div>
            </div>
        </div>
    </div>
</form>